library angular2.test.core.compiler.private_component_loader_spec;

import 'package:angular2/test_lib.dart'
    show ddescribe, describe, it, iit, expect, beforeEach;
import 'package:angular2/src/core/compiler/directive_metadata_reader.dart'
    show DirectiveMetadataReader;
import 'package:angular2/src/core/compiler/private_component_loader.dart'
    show PrivateComponentLoader;
import 'package:angular2/src/core/annotations/annotations.dart'
    show Decorator, Viewport;

@Decorator(selector: 'someDecorator')
class SomeDecorator {}
@Viewport(selector: 'someViewport')
class SomeViewport {}
main() {
  describe("PrivateComponentLoader", () {
    var loader;
    beforeEach(() {
      loader = new PrivateComponentLoader(
          null, null, null, new DirectiveMetadataReader());
    });
    describe('Load errors', () {
      it('should throw when trying to load a decorator', () {
        expect(() {
          return loader.load(SomeDecorator, null);
        }).toThrowError(
            "Could not load 'SomeDecorator' because it is not a component.");
      });
      it('should throw when trying to load a viewport', () {
        expect(() {
          return loader.load(SomeViewport, null);
        }).toThrowError(
            "Could not load 'SomeViewport' because it is not a component.");
      });
    });
  });
}
